Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataGrid

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataAdaptor
                  org.richfaces.component.UISequence
                      org.richfaces.component.AbstractDataGrid
                          org.richfaces.component.UIDataGrid

All Implemented Interfaces:
  EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.component.Row

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class UIDataGrid

extends AbstractDataGrid

The <rich:dataGrid> component is used to arrange data objects in a grid. Values in the grid can be updated dynamically from the data model, and Ajax updates can be limited to specific rows. The component supports header, footer, and caption facets.

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIDataGrid.Properties`

Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor
`UIDataAdaptor.ComponentVisitor`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractDataGrid
`BODY, CAPTION_FACET_NAME, FOOTER, FOOTER_FACET_NAME, HEADER, HEADER_FACET_NAME, NODATA_FACET_NAME`

Fields inherited from class org.richfaces.component.UIDataAdaptor
`decodeVisitor, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIDataGrid()`

Method Summary
`javax.faces.component.UIComponent` | `getCaption()`
`int` | `getElements()` Number of elements displayed in the grid
`String` | `getFamily()`
`javax.faces.component.UIComponent` | `getFooter()`
`javax.faces.component.UIComponent` | `getHeader()`
`javax.faces.component.UIComponent` | `getNoData()`
`int` | `getRows()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`void` | `setCaption(javax.faces.component.UIComponent facet)`
`void` | `setElements(int elements)`
`void` | `setFooter(javax.faces.component.UIComponent facet)`
`void` | `setHeader(javax.faces.component.UIComponent facet)`
`void` | `setNoData(javax.faces.component.UIComponent facet)`
`void` | `setRows(int rows)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.richfaces.component.AbstractDataGrid
`columns, encodeMetaComponent, getColumns, resolveClientId, setColumns, substituteUnresolvedClientId, visitDataChildren, visitFixedChildren`

Methods inherited from class org.richfaces.component.UISequence
`captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

Methods inherited from class org.richfaces.component.UIDataAdaptor
`allFixedChildren, broadcast, clearInitialState, createUniqueId, dataChildren, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Row
`setRowKey, walk`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataGrid

    public UIDataGrid()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `UIDataAdaptor`

### getElements

    public int getElements()

  Description copied from class: `AbstractDataGrid`
  Number of elements displayed in the grid

  Specified by:
    `getElements` in class `AbstractDataGrid`

### setElements

    public void setElements(int elements)

### getRows

    public int getRows()

  Specified by:
    `getRows` in class `AbstractDataGrid`

### setRows

    public void setRows(int rows)

  Overrides:
    `setRows` in class `UISequence`

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getCaption

    public javax.faces.component.UIComponent getCaption()

  Specified by:
    `getCaption` in class `AbstractDataGrid`

### setCaption

    public void setCaption(javax.faces.component.UIComponent facet)

### getFooter

    public javax.faces.component.UIComponent getFooter()

  Specified by:
    `getFooter` in class `AbstractDataGrid`

### setFooter

    public void setFooter(javax.faces.component.UIComponent facet)

### getNoData

    public javax.faces.component.UIComponent getNoData()

  Specified by:
    `getNoData` in class `AbstractDataGrid`

### setNoData

    public void setNoData(javax.faces.component.UIComponent facet)

### getHeader

    public javax.faces.component.UIComponent getHeader()

  Specified by:
    `getHeader` in class `AbstractDataGrid`

### setHeader

    public void setHeader(javax.faces.component.UIComponent facet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.2.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.